<ngb-tabset>
  //DERMATOLOGIA INIT//
  <ngb-tab title="Dermatology" [disabled]="!der">
    <ng-template ngbTabContent>
      <form [hidden]="!der" class="form ng-untouched ng-pristine ng-valid" [formGroup]="regularDerForm" #recordDerForm="ngForm"
        novalidate>
        <div class="form-body">
          <h4 class="form-section">
            <i class="ft-user"></i>
            Dermatology
          </h4>
          <h6>Doctor: {{docName}} {{doclastName}}</h6><br>
          <h6>Patient: {{namePatient}} {{lastnamePatient}}</h6>
          <div class="row">
            <div class="form-group col-md-6 mb-2">
              <input type="text" hidden formControlName="docName">
              <input type="text" hidden formControlName="doclastName">
              <label class="" for="motiveDer">Reason for consultation</label>
              <textarea id="motiveDer" placeholder = "Reason for consultation" class="form-control textarea"
                formControlName="motiveDer" required></textarea>
              <small class="form-text text-muted danger" *ngIf="!regularDerForm.get('motiveDer').valid && (regularDerForm.get(
                'motiveDer').dirty || regularDerForm.get('motiveDer').touched) ">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2">
              <label class=" " for="diagDer">Diagnostic</label>
              <textarea id="diagDer" placeholder="Diagnostic" class="form-control textarea" formControlName="diagDer"
                required></textarea>
              <small class="form-text text-muted danger" *ngIf="!regularDerForm.get( 'diagDer').valid && (regularDerForm.get(
                'diagDer').dirty || regularDerForm.get( 'diagDer').touched) ">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2 ">
              <label class=" " for="backgroundDer">History</label>
              <textarea id="backgroundDer" placeholder="History" class="form-control textarea" formControlName="backgroundDer"
                required></textarea>
              <small class="form-text text-muted danger" *ngIf="!regularDerForm.get('backgroundDer').valid && (regularDerForm.get(
                'backgroundDer').dirty || regularDerForm.get( 'backgroundDer').touched) ">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2">
              <label class=" " for="examiningDer">Physical exam</label>
              <textarea id="examiningDer" placeholder="Physical exam" class="form-control textarea " formControlName="examiningDer"
                required></textarea>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="form-group col-md-3 ">
            <label class="" for="ta">Blood pressure</label>
            <input id="ta" type="text" class="form-control" formControlName="ta" placeholder="120/80" maxlength="7">
            <small class="form-text text-muted danger" *ngIf="!regularDerForm.get('ta').valid && (regularDerForm.get('ta').dirty || regularDerForm.get('ta').touched)">Solo
              numerico</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="temp">TemperatureºC</label>
            <input id="temp" type="number" class="form-control" formControlName="temp" placeholder="37" maxlength="2">
            <small class="form-text text-muted danger" *ngIf="!regularDerForm.get('temp').valid && (regularDerForm.get('temp').dirty || regularDerForm.get('temp').touched)">Required
              Only numbers</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="heigth">Height Cm</label>
            <input id="heigth" type="number" class="form-control" formControlName="height" placeholder="180" maxlength="3">
            <small class="form-text text-muted danger" *ngIf="!regularDerForm.get('height').valid && (regularDerForm.get('height').dirty || regularDerForm.get('height').touched)">Required
              Only numbers</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="weight">Weight Kg</label>
            <input id="weigth" type="number" class="form-control" formControlName="weight" placeholder="78" maxlength="3">
            <small class="form-text text-muted danger" *ngIf="!regularDerForm.get('weight').valid && (regularDerForm.get('weight').dirty || regularDerForm.get('weight').touched)">Required
              Only numbers</small>
          </div>
        </div>
        <div class="form-actions right">
          <button [disabled]="!this.regularDerForm.valid" class="btn btn-outline-success btn-raised" (click)="addRecordDer(recordDerForm)">
            Save
            <i class="ft-check-circle "></i>
          </button>
        </div>
      </form>
    </ng-template>
  </ngb-tab>
  //DERMATOLOGIA END// //GASTROENTOLOGIA INIT//
  <ngb-tab title="Gastroenterology" [disabled]="!gas">
    <ng-template ngbTabContent>
      <form [hidden]="!gas" class="form ng-untouched ng-pristine ng-valid" [formGroup]="regularGasForm" #recordGasForm="ngForm"
        novalidate>
        <div class="form-body">
          <h4 class="form-section">
            <i class="ft-user"></i>
            Gastroenterology
          </h4>
          <h6>Doctor: {{docName}} {{doclastName}}</h6>
          <br>
          <h6>Patient: {{namePatient}} {{lastnamePatient}}</h6>
          <div class="row">
            <div class="form-group col-md-6 mb-2">
              <input type="text" hidden formControlName="docName">
              <input type="text" hidden formControlName="doclastName">
              <label class="" for="motiveGas">Reason for consultation</label>
              <textarea id="motiveGas" placeholder="Reason for consultation " class="form-control textarea"
                formControlName="motiveGas" required></textarea>
              <small class="form-text text-muted danger" *ngIf="!regularGasForm.get('motiveGas').valid && (regularGasForm.get(
                'motiveGas').dirty || regularGasForm.get('motiveGas').touched) ">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2">
              <label class=" " for="diagGas ">Diagnostic</label>
              <textarea id="diagGas" placeholder="Diagnostic " class="form-control textarea" formControlName="diagGas"
                required></textarea>
              <small class="form-text text-muted danger" *ngIf="!regularGasForm.get( 'diagGas').valid && (regularGasForm.get(
                'diagGas').dirty || regularGasForm.get('diagGas').touched) ">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2 ">
              <label class=" " for="backgroundGas">History</label>
              <textarea id="backgroundGas" placeholder="History" class="form-control textarea " formControlName="backgroundGas"
                required></textarea>
              <small class="form-text text-muted danger" *ngIf="!regularGasForm.get('backgroundGas').valid && (regularGasForm.get(
                'backgroundGas').dirty || regularGasForm.get( 'backgroundGas').touched) ">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2">
              <label class=" " for="examiningGas">Physical exam</label>
              <textarea id="examiningGas" placeholder="Physical exam " class="form-control textarea " formControlName="examiningGas"
                required></textarea>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="form-group col-md-3 ">
            <label class="" for="ta">Blood pressure</label>
            <input id="ta" type="text" class="form-control" formControlName="ta" placeholder="120/80" maxlength="7">
            <small class="form-text text-muted danger" *ngIf="!regularGasForm.get('ta').valid && (regularGasForm.get('ta').dirty || regularGasForm.get('ta').touched)">Solo
              numerico</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="temp">TemperatureºC</label>
            <input id="temp" type="number" class="form-control" formControlName="temp" placeholder="37" maxlength="2">
            <small class="form-text text-muted danger" *ngIf="!regularGasForm.get('temp').valid && (regularGasForm.get('temp').dirty || regularGasForm.get('temp').touched)">Required
              Only numbers</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="heigth">Height Cm</label>
            <input id="heigth" type="number" class="form-control" formControlName="height" placeholder="180" maxlength="3">
            <small class="form-text text-muted danger" *ngIf="!regularGasForm.get('height').valid && (regularGasForm.get('height').dirty || regularGasForm.get('height').touched)">Required
              Only numbers</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="weight">Weight Kg</label>
            <input id="weigth" type="number" class="form-control" formControlName="weight" placeholder="78" maxlength="3">
            <small class="form-text text-muted danger" *ngIf="!regularGasForm.get('weight').valid && (regularGasForm.get('weight').dirty || regularGasForm.get('weight').touched)">Required
              only numbers</small>
          </div>
        </div>
        <div class="form-actions right">
          <button [disabled]="!this.regularGasForm.valid" class="btn btn-outline-success btn-raised" (click)="addRecordGas(recordGasForm)">
            Save
            <i class="ft-check-circle "></i>
          </button>
        </div>
      </form>
    </ng-template>
  </ngb-tab>
  //GASTROENTOLOGIA END// //GENERAL INIT//
  <ngb-tab title="General" [disabled]="!gen">
    <ng-template ngbTabContent>
      <form [hidden]="!gen" class="form ng-untouched ng-pristine ng-valid" [formGroup]="regularGenForm" #recordGenForm="ngForm"
        novalidate>
        <div class="form-body">
          <h4 class="form-section">
            <i class="ft-user"></i>
            General medicine
          </h4>
          <h6>Doctor: {{docName}} {{doclastName}}</h6>
          <br>
          <h6>Patient: {{namePatient}} {{lastnamePatient}}</h6>
          <div class="row">
            <div class="form-group col-md-6 mb-2">
              <input type="text" hidden formControlName="docName">
              <input type="text" hidden formControlName="doclastName">
              <label class="" for="motiveGen">Reason for consultation</label>
              <textarea id="motiveGen" placeholder = "Reason for consultation" class="form-control textarea"
                formControlName="motiveGen" required></textarea>
              <small class="form-text text-muted danger " *ngIf="!regularGenForm.get('motiveGen').valid && (regularGenForm.get('motiveGen').dirty || regularGenForm.get('motiveGen').touched) ">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2">
              <label class=" " for="diagGen ">Diagnostic</label>
              <textarea id="diagGen " placeholder="Diagnostic " class="form-control textarea" formControlName="diagGen"
                required></textarea>
              <small class="form-text text-muted danger" *ngIf="!regularGenForm.get('diagGen').valid && (regularGenForm.get('diagGen').dirty || regularGenForm.get('diagGen').touched) ">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2 ">
              <label class=" " for="backgroundGen">History</label>
              <textarea id="backgroundGen" placeholder="History " class="form-control textarea " formControlName="backgroundGen"
                required></textarea>
              <small class="form-text text-muted danger" *ngIf="!regularGenForm.get('backgroundGen').valid && (regularGenForm.get(
                'backgroundGen').dirty || regularGenForm.get('backgroundGen').touched)">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2">
              <label class=" " for="examiningGeb ">Physical exam</label>
              <textarea id="examiningGen" placeholder="Physical exam" class="form-control textarea" formControlName="examiningGen"
                required></textarea>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="form-group col-md-3 ">
            <label class="" for="ta">Blood pressure</label>
            <input id="ta" type="text" class="form-control" formControlName="ta" placeholder="120/80" maxlength="7">
            <small class="form-text text-muted danger" *ngIf="!regularGenForm.get('ta').valid && (regularGenForm.get('ta').dirty || regularGenForm.get('ta').touched)">Solo
              numerico</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="temp">TemperatureºC</label>
            <input id="temp" type="number" class="form-control" formControlName="temp" placeholder="37" maxlength="2">
            <small class="form-text text-muted danger" *ngIf="!regularGenForm.get('temp').valid && (regularGenForm.get('temp').dirty || regularGenForm.get('temp').touched)">Required
              Only numbers</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="heigth">Height Cm</label>
            <input id="heigth" type="number" class="form-control" formControlName="height" placeholder="180" maxlength="3">
            <small class="form-text text-muted danger" *ngIf="!regularGenForm.get('height').valid && (regularGenForm.get('height').dirty || regularGenForm.get('height').touched)">Required
              Only numbers</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="weight">Weight Kg</label>
            <input id="weigth" type="number" class="form-control" formControlName="weight" placeholder="78" maxlength="3">
            <small class="form-text text-muted danger" *ngIf="!regularGenForm.get('weight').valid && (regularGenForm.get('weight').dirty || regularGenForm.get('weight').touched)">Required
              Only numbers</small>
          </div>
        </div>
        <div class="form-actions right ">
          <button [disabled]="!this.regularGenForm.valid" class="btn btn-outline-success btn-raised" (click)="addRecordGen(recordGenForm)">
            Save
            <i class="ft-check-circle "></i>
          </button>
        </div>
      </form>
    </ng-template>
  </ngb-tab>
  //GENERAL END// //GINECOLOGIA INIT//
  <!--<ngb-tab title="Ginecologia " [disabled]="true">
    <ng-template ngbTabContent>
      <form [hidden]="!gin" class="form ng-untouched ng-pristine ng-valid" [formGroup]="regularGinForm" #recordGinForm="ngForm"
        (ngSubmit)="addRecordGin(recordGinForm)" novalidate>

      </form>
    </ng-template>
  </ngb-tab>-->
  //GINECOLOGIA END// //MEDICINA INTERNA INIT//
  <ngb-tab title="Internal Medicine" [disabled]="!min">
    <ng-template ngbTabContent>
      <form [hidden]="!min" class="form ng-untouched ng-pristine ng-valid" [formGroup]="regularMinForm" #recordMinForm="ngForm"
        novalidate>
        <div class="form-body">
          <h4 class="form-section">
            <i class="ft-user"></i>
            Internal Medicine
          </h4>
          <h6>Doctor: {{docName}} {{doclastName}}</h6>
          <br>
          <h6>Patient: {{namePatient}} {{lastnamePatient}}</h6>
          <div class="row">
            <div class="form-group col-md-6 mb-2">
              <input type="text" hidden formControlName="docName">
              <input type="text" hidden formControlName="doclastName">
              <label class="" for="motiveOnc">Reason for consultation</label>
              <textarea id="motiveMin" placeholder = "Reason for consultation" class="form-control textarea"
                formControlName="motiveMin" required></textarea>
              <small class="form-text text-muted danger " *ngIf="!regularMinForm.get('motiveMin').valid && (regularMinForm.get('motiveMin').dirty || regularMinForm.get('motiveMin').touched) ">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2">
              <label class=" " for="diagMin">Diagnostic</label>
              <textarea id="diagMin" placeholder="Diagnostic " class="form-control textarea" formControlName="diagMin"
                required></textarea>
              <small class="form-text text-muted danger" *ngIf="!regularMinForm.get('diagMin').valid && (regularMinForm.get('diagMin').dirty || regularMinForm.get('diagMin').touched) ">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2 ">
              <label class=" " for="backgroundMin">History</label>
              <textarea id="backgroundMin" placeholder="History " class="form-control textarea " formControlName="backgroundMin"
                required></textarea>
              <small class="form-text text-muted danger" *ngIf="!regularMinForm.get('backgroundMin').valid && (regularMinForm.get(
                'backgroundMin').dirty || regularMinForm.get('backgroundMin').touched)">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2">
              <label class=" " for="examiningMin">Physical exam</label>
              <textarea id="examiningMin" placeholder="Physical exam" class="form-control textarea" formControlName="examiningMin"
                required></textarea>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="form-group col-md-3 ">
            <label class="" for="ta">Blood pressure</label>
            <input id="ta" type="text" class="form-control" formControlName="ta" placeholder="120/80" maxlength="7">
            <small class="form-text text-muted danger" *ngIf="!regularMinForm.get('ta').valid && (regularMinForm.get('ta').dirty || regularMinForm.get('ta').touched)">Solo
              numerico</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="temp">TemperatureºC</label>
            <input id="temp" type="number" class="form-control" formControlName="temp" placeholder="37" maxlength="2">
            <small class="form-text text-muted danger" *ngIf="!regularMinForm.get('temp').valid && (regularMinForm.get('temp').dirty || regularMinForm.get('temp').touched)">Required
              Only numbers</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="heigth">Height Cm</label>
            <input id="heigth" type="number" class="form-control" formControlName="height" placeholder="180" maxlength="3">
            <small class="form-text text-muted danger" *ngIf="!regularMinForm.get('height').valid && (regularMinForm.get('height').dirty || regularMinForm.get('height').touched)">Required
              Only numbers</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="weight">Weight Kg</label>
            <input id="weigth" type="number" class="form-control" formControlName="weight" placeholder="78" maxlength="3">
            <small class="form-text text-muted danger" *ngIf="!regularMinForm.get('weight').valid && (regularMinForm.get('weight').dirty || regularMinForm.get('weight').touched)">Required
              Only numbers</small>
          </div>
        </div>
        <div class="form-actions right">
          <button class="btn btn-outline-success btn-raised" (click)="addRecordMin(recordMinForm)"> Save
            <i class="ft-check-circle "></i>
          </button>
        </div>
      </form>
    </ng-template>
  </ngb-tab>
  //MEDICINA INTERNA END// // NEUMONOLOGIA INIT//
  <!-- <ngb-tab title="Neumonologia " [disabled]="true">
    <ng-template ngbTabContent>
      <form [hidden]="!neu" class="form ng-untouched ng-pristine ng-valid" [formGroup]="regularNeuForm" #recordNeuForm="ngForm"
        (ngSubmit)="addRecordNeu(recordNeuForm)" novalidate>
      </form>
    </ng-template>
  </ngb-tab>-->
  //NEUMONOLOGIA END// //ONCOLOGIA INIT//
  <ngb-tab title="Oncology" [disabled]="!onc">
    <ng-template ngbTabContent>
      <form [hidden]="!onc" class="form ng-untouched ng-pristine ng-valid" [formGroup]="regularOncForm" #recordOncForm="ngForm"
        novalidate>
        <div class="form-body">
          <h4 class="form-section">
            <i class="ft-user"></i>
            Oncology
          </h4>
          <h6>Doctor: {{docName}} {{doclastName}}</h6><br>
          <h6>Patient: {{namePatient}} {{lastnamePatient}}</h6>
          <div class="row">
            <div class="form-group col-md-6 mb-2">
              <input type="text" hidden formControlName="docName">
              <input type="text" hidden formControlName="doclastName">
              <label class="" for="motiveOnc">Reason for consultation</label>
              <textarea id="motiveOnc" placeholder = "Reason for consultation" class="form-control textarea"
                formControlName="motiveOnc" required></textarea>
              <small class="form-text text-muted danger " *ngIf="!regularOncForm.get('motiveOnc').valid && (regularOncForm.get('motiveOnc').dirty || regularOncForm.get('motiveOnc').touched) ">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2">
              <label class=" " for="diagOnc">Diagnostic</label>
              <textarea id="diagOnc" placeholder="Diagnostic " class="form-control textarea" formControlName="diagOnc"
                required></textarea>
              <small class="form-text text-muted danger" *ngIf="!regularOncForm.get('diagOnc').valid && (regularOncForm.get('diagOnc').dirty || regularOncForm.get('diagOnc').touched) ">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2 ">
              <label class=" " for="backgroundOnc">History</label>
              <textarea id="backgroundOnc" placeholder="History " class="form-control textarea " formControlName="backgroundOnc"
                required></textarea>
              <small class="form-text text-muted danger" *ngIf="!regularOncForm.get('backgroundOnc').valid && (regularOncForm.get(
                'backgroundOnc').dirty || regularOncForm.get('backgroundOnc').touched)">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2">
              <label class=" " for="examiningOnc">Physical exam</label>
              <textarea id="examiningOnc" placeholder="Physical exam" class="form-control textarea" formControlName="examiningOnc"
                required></textarea>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="form-group col-md-3 ">
            <label class="" for="ta">Blood pressure</label>
            <input id="ta" type="text" class="form-control" formControlName="ta" placeholder="120/80" maxlength="7">
            <small class="form-text text-muted danger" *ngIf="!regularOncForm.get('ta').valid && (regularOncForm.get('ta').dirty || regularOncForm.get('ta').touched)">Solo
              numerico</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="temp">TemperatureºC</label>
            <input id="temp" type="number" class="form-control" formControlName="temp" placeholder="37" maxlength="2">
            <small class="form-text text-muted danger" *ngIf="!regularOncForm.get('temp').valid && (regularOncForm.get('temp').dirty || regularOncForm.get('temp').touched)">Required
              Only numbers</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="heigth">Height Cm</label>
            <input id="heigth" type="number" class="form-control" formControlName="height" placeholder="180" maxlength="3">
            <small class="form-text text-muted danger" *ngIf="!regularOncForm.get('height').valid && (regularOncForm.get('height').dirty || regularOncForm.get('height').touched)">Required
              Only numbers</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="weight">Weight Kg</label>
            <input id="weigth" type="number" class="form-control" formControlName="weight" placeholder="78" maxlength="3">
            <small class="form-text text-muted danger" *ngIf="!regularOncForm.get('weight').valid && (regularOncForm.get('weight').dirty || regularOncForm.get('weight').touched)">Required
              Only numbers</small>
          </div>
        </div>
        <div class="form-actions right ">
          <button [disabled]="!this.regularOncForm.valid" class="btn btn-outline-success btn-raised" (click)="addRecordOnc(recordOncForm)">
            Save
            <i class="ft-check-circle "></i>
          </button>
        </div>
      </form>
    </ng-template>
  </ngb-tab>
  //ONCOLOGIA END// //REUMATOLOGIA INIT//
  <ngb-tab title="Rheumatology" [disabled]="!reu">
    <ng-template ngbTabContent>
      <form [hidden]="!reu" class="form ng-untouched ng-pristine ng-valid" [formGroup]="regularReuForm" #recordReuForm="ngForm"
        novalidate>
        <div class="form-body">
          <h4 class="form-section">
            <i class="ft-user"></i>
            Rheumatology
          </h4>
          <h6>Doctor: {{docName}} {{doclastName}}</h6>
          <br>
          <h6>Patient: {{namePatient}} {{lastnamePatient}}</h6>
          <div class="row">
            <div class="form-group col-md-6 mb-2">
              <input type="text" hidden formControlName="docName">
              <input type="text" hidden formControlName="doclastName">
              <label class="" for="motiveReu">Reason for consultation</label>
              <textarea id="motiveReu" placeholder = "Reason for consultation" class="form-control textarea"
                formControlName="motiveReu" required></textarea>
              <small class="form-text text-muted danger " *ngIf="!regularReuForm.get('motiveReu').valid && (regularReuForm.get('motiveReu').dirty || regularReuForm.get('motiveReu').touched) ">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2">
              <label class=" " for="diagReu">Diagnostic</label>
              <textarea id="diagReu" placeholder="Diagnostic " class="form-control textarea" formControlName="diagReu"
                required></textarea>
              <small class="form-text text-muted danger" *ngIf="!regularReuForm.get('diagReu').valid && (regularReuForm.get('diagReu').dirty || regularReuForm.get('diagReu').touched) ">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2 ">
              <label class=" " for="backgroundReu">History</label>
              <textarea id="backgroundReu" placeholder="History " class="form-control textarea " formControlName="backgroundReu"
                required></textarea>
              <small class="form-text text-muted danger" *ngIf="!regularReuForm.get('backgroundReu').valid && (regularReuForm.get(
                'backgroundReu').dirty || regularReuForm.get('backgroundReu').touched)">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2">
              <label class=" " for="examiningReu">Physical exam</label>
              <textarea id="examiningReu" placeholder="Physical exam" class="form-control textarea" formControlName="examiningReu"
                required></textarea>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="form-group col-md-3 ">
            <label class="" for="ta">Blood pressure</label>
            <input id="ta" type="text" class="form-control" formControlName="ta" placeholder="120/80" maxlength="7">
            <small class="form-text text-muted danger" *ngIf="!regularReuForm.get('ta').valid && (regularReuForm.get('ta').dirty || regularReuForm.get('ta').touched)">Solo
              numerico</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="temp">TemperatureºC</label>
            <input id="temp" type="number" class="form-control" formControlName="temp" placeholder="37" maxlength="2">
            <small class="form-text text-muted danger" *ngIf="!regularReuForm.get('temp').valid && (regularReuForm.get('temp').dirty || regularReuForm.get('temp').touched)">Required
              Only numbers</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="heigth">Height Cm</label>
            <input id="heigth" type="number" class="form-control" formControlName="height" placeholder="180" maxlength="3">
            <small class="form-text text-muted danger" *ngIf="!regularReuForm.get('height').valid && (regularReuForm.get('height').dirty || regularReuForm.get('height').touched)">Required
              Only numbers</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="weight">Weight Kg</label>
            <input id="weigth" type="number" class="form-control" formControlName="weight" placeholder="78" maxlength="3">
            <small class="form-text text-muted danger" *ngIf="!regularReuForm.get('weight').valid && (regularReuForm.get('weight').dirty || regularReuForm.get('weight').touched)">Required
              Only numbers</small>
          </div>
        </div>
        <div class="form-actions right ">
          <button [disabled]="!this.regularReuForm.valid" class="btn btn-outline-success btn-raised" (click)="addRecordReu(recordReuForm)">
            Save
            <i class="ft-check-circle "></i>
          </button>
        </div>
      </form>
    </ng-template>
  </ngb-tab>
  //REUMATOLOGIA END// //TRAUMATOLOGIA INIT//
  <ngb-tab title="Traumatology" [disabled]="!tra">
    <ng-template ngbTabContent>
      <form [hidden]="!tra" class="form ng-untouched ng-pristine ng-valid" [formGroup]="regularTraForm" #recordTraForm="ngForm"
        novalidate>
        <div class="form-body">
          <h4 class="form-section">
            <i class="ft-user"></i>
            Traumatology
          </h4>
          <h6>Doctor: {{docName}} {{doclastName}}</h6>
          <br>
          <h6>Patient: {{namePatient}} {{lastnamePatient}}</h6>
          <div class="row">
            <div class="form-group col-md-6 mb-2">
              <input type="text" hidden formControlName="docName">
              <input type="text" hidden formControlName="doclastName">
              <label class="" for="motiveTra">Reason for consultation</label>
              <textarea id="motiveTra" placeholder = "Reason for consultation" class="form-control textarea"
                formControlName="motiveTra" required></textarea>
              <small class="form-text text-muted danger " *ngIf="!regularTraForm.get('motiveTra').valid && (regularTraForm.get('motiveTra').dirty || regularTraForm.get('motiveTra').touched) ">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2">
              <label class=" " for="diagTra">Diagnostic</label>
              <textarea id="diagTra" placeholder="Diagnostic " class="form-control textarea" formControlName="diagTra"
                required></textarea>
              <small class="form-text text-muted danger" *ngIf="!regularTraForm.get('diagTra').valid && (regularTraForm.get('diagTra').dirty || regularTraForm.get('diagTra').touched) ">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2 ">
              <label class=" " for="backgroundTra">History</label>
              <textarea id="backgroundTra" placeholder="History " class="form-control textarea " formControlName="backgroundTra"
                required></textarea>
              <small class="form-text text-muted danger" *ngIf="!regularTraForm.get('backgroundTra').valid && (regularTraForm.get(
                'backgroundTra').dirty || regularTraForm.get('backgroundTra').touched)">Required</small>
            </div>
            <div class="form-group col-md-6 mb-2">
              <label class=" " for="examiningTra">Physical exam</label>
              <textarea id="examiningTra" placeholder="Physical exam" class="form-control textarea" formControlName="examiningTra"
                required></textarea>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="form-group col-md-3 ">
            <label class="" for="ta">Blood pressure</label>
            <input id="ta" type="text" class="form-control" formControlName="ta" placeholder="120/80" maxlength="7">
            <small class="form-text text-muted danger" *ngIf="!regularTraForm.get('ta').valid && (regularTraForm.get('ta').dirty || regularTraForm.get('ta').touched)">Solo
              numerico</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="temp">TemperatureºC</label>
            <input id="temp" type="number" class="form-control" formControlName="temp" placeholder="37" maxlength="2">
            <small class="form-text text-muted danger" *ngIf="!regularTraForm.get('temp').valid && (regularTraForm.get('temp').dirty || regularTraForm.get('temp').touched)">Required
              Only numbers</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="heigth">Height Cm</label>
            <input id="heigth" type="number" class="form-control" formControlName="height" placeholder="180" maxlength="3">
            <small class="form-text text-muted danger" *ngIf="!regularTraForm.get('height').valid && (regularTraForm.get('height').dirty || regularTraForm.get('height').touched)">Required
              Only numbers</small>
          </div>
          <div class="form-group col-md-3">
            <label class="" for="weight">Weight Kg</label>
            <input id="weigth" type="number" class="form-control" formControlName="weight" placeholder="78" maxlength="3">
            <small class="form-text text-muted danger" *ngIf="!regularTraForm.get('weight').valid && (regularTraForm.get('weight').dirty || regularTraForm.get('weight').touched)">Required
              Only numbers</small>
          </div>
        </div>
        <div class="form-actions right ">
          <button [disabled]="!this.regularTraForm.valid" class="btn btn-outline-success btn-raised" (click)="addRecordTra(recordTraForm)">
            Save
            <i class="ft-check-circle "></i>
          </button>
        </div>
      </form>
    </ng-template>
  </ngb-tab>
  //TRAUMATOLOGIA END//
</ngb-tabset>
